Back to Graphql Engine

Health Check API Reference

docs/docs/api-reference/health.mdx

2.49.32.2 KB
Original Source

Health Check API Reference

Introduction

The Health API is a public endpoint which gives info on the server health.

Endpoint

All requests are GET requests to the /healthz endpoint. There's also /hasura/healthz available as an alternative, which mirrors /healthz completely.

API Spec

Request

http
GET /healthz?strict=false HTTP/1.1

Parameters

NameRequiredtypeDescription
strictfalsebooleanIf set to true, response returns 500 if inconsistent objects exist (default: false)

Response

Depending on the server health status any of the following responses can be returned:

Server conditionstrict parameterHTTP StatusMessage
All healthyAny200OK
Serving requests but some Metadata objects are inconsistent/not-availablefalse200WARN: inconsistent objects in schema
Serving requests but some Metadata objects are inconsistent/not-availabletrue500ERROR: inconsistent objects in schema
UnhealthyAny500ERROR

:::info Note

If there are Metadata inconsistencies, you should use the Hasura Console or the get_inconsistent_metadata Metadata API to find out what the inconsistent objects are and resolve them.

:::

Sample response

http
HTTP/1.1 200 OK

Disabling Health Check API

The healthz API endpoint is public and cannot be disabled.